<!DOCTYPE html>
<html>
  <head>
    <title>Geolocation</title>
    <meta name="viewport" content="initial-scale=1.0, user-scalable=no">
    <meta charset="utf-8">
    <style>
      /* Always set the map height explicitly to define the size of the div
       * element that contains the map. */
      #map {
        height: 100%;
      }
      /* Optional: Makes the sample page fill the window. */
      html, body {
        height: 100%;
        margin: 0;
        padding: 0;
      }
    </style>
  </head>
  <body>
    <div id="map"></div>
    <script>
      // Note: This example requires that you consent to location sharing when
      // prompted by your browser. If you see the error "The Geolocation service
      // failed.", it means you probably did not give permission for the browser to
      // locate you.
      var map, infoWindow;
      function initMap() {
        map = new google.maps.Map(document.getElementById('map'), {
          center: {lat: -34.397, lng: 150.644},
          zoom: 21,
        });
        infoWindow = new google.maps.InfoWindow;
		var service = new google.maps.places.PlacesService(map);
		console.log(service.name);
		console.log(service);
        // Try HTML5 geolocation.
        if (navigator.geolocation) {


          // var options = {
          //   timeout: 50000,
          //   enableHighAccuracy: true,
          //   maximumAge: Infinity
          // };
          //
          // function success(pos) {
          //   var crd = pos.coords;
          //
          //   console.log('Your current position is:');
          //   console.log(`Latitude : ${crd.latitude}`);
          //   console.log(`Longitude: ${crd.longitude}`);
          //   console.log(`More or less ${crd.accuracy} meters.`);
          // }
          //
          // function error(err) {
          //   console.warn(`ERROR(${err.code}): ${err.message}`);
          // }
          //
          // navigator.geolocation.getCurrentPosition(success, error, options);

          navigator.geolocation.getCurrentPosition(function(position) {
            console.log(position);
            var pos = {
              lat: position.coords.latitude,
              lng: position.coords.longitude
            };

            infoWindow.setPosition(pos);
            infoWindow.setContent('<i class="mdi-car mdi"></i>');
            infoWindow.open(map);
            map.setCenter(pos);
          }, function(err) {
            handleLocationError(true, infoWindow, map.getCenter());
          }, {
              enableHighAccuracy: true,
          });
        } else {
          // Browser doesn't support Geolocation
          handleLocationError(false, infoWindow, map.getCenter());
        }
      }

      function handleLocationError(browserHasGeolocation, infoWindow, pos) {
        infoWindow.setPosition(pos);
        infoWindow.setContent(browserHasGeolocation ?
                              'Error: The Geolocation service failed.' :
                              'Error: Your browser doesn\'t support geolocation.');
        infoWindow.open(map);
      }
    </script>
    <script async defer
    src="https://maps.googleapis.com/maps/api/js?sensor=true&libraries=places&key=AIzaSyD_sgQPLL2Epz7Eb8gcrvEwoKkBhGqnQG0&callback=initMap">
    </script>
  </body>
</html>
